Create Or Update Embedded Chat Config For A Registered Agent
curl --request PUT \
--url https://{api_endpoint}/v1/orchestrate/agents/{id}/embedded-chat-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"layout": {
"primary_color": "<string>",
"second_color": "<string>",
"accent_color": "<string>",
"theme": "<string>",
"enable_text_streaming": true,
"form": {
"type": "<string>",
"properties": {
"container_id": "<string>",
"width": "<string>",
"height": "<string>"
}
}
},
"is_live": true
}
'import requests
url = "https://{api_endpoint}/v1/orchestrate/agents/{id}/embedded-chat-config"
payload = {
"layout": {
"primary_color": "<string>",
"second_color": "<string>",
"accent_color": "<string>",
"theme": "<string>",
"enable_text_streaming": True,
"form": {
"type": "<string>",
"properties": {
"container_id": "<string>",
"width": "<string>",
"height": "<string>"
}
}
},
"is_live": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
layout: {
primary_color: '<string>',
second_color: '<string>',
accent_color: '<string>',
theme: '<string>',
enable_text_streaming: true,
form: {
type: '<string>',
properties: {container_id: '<string>', width: '<string>', height: '<string>'}
}
},
is_live: true
})
};
fetch('https://{api_endpoint}/v1/orchestrate/agents/{id}/embedded-chat-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"layout": {
"primary_color": "<string>",
"second_color": "<string>",
"accent_color": "<string>",
"theme": "<string>",
"enable_text_streaming": true,
"form": {
"type": "<string>",
"properties": {
"container_id": "<string>",
"width": "<string>",
"height": "<string>"
}
}
},
"is_live": true,
"script": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent embedded chat config
Create Or Update Embedded Chat Config For A Registered Agent
Create or update embedded chat config for a registered agent.
Create Or Update Embedded Chat Config For A Registered Agent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I

